# -*- coding: utf-8 -*-
"""regresion

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1BHia8a6ZQedc06LiuS3YE9Gb5Bd7fLA3
"""

import math 

x = []
y = []

def promedio_datos(datos, vect):
  promedio = 0
  cont = 0
  for recorrido in range(0,datos):
    aux = vect[recorrido]
    cont = cont + aux
    promedio = cont / (datos)
  return promedio
  
def cov():
  cont = 0
  resultado = 0
  datos = int(input("Ingrese el numero de datos: "))
  for recorrido in range(0,datos):
    print("Ingrese el valor de x en i = ", recorrido)
    valor1 = float(input())
    x.append(valor1)
  prom_x = promedio_datos(datos, x)
  
  for recorrido in range(0,datos):
    print("Ingrese el valor de y en i = ", recorrido)
    valor2 = float(input())
    y.append(valor2)
  prom_y = promedio_datos(datos, y)
  
  for i in range(0, datos):
    numerador = (x[i] - prom_x)*(y[i] - prom_y)
    resultado = numerador + resultado
  return (resultado / (datos - 1))

def s2x():
  cont = 0
  numerador = 0
  prom_x = promedio_datos(len(x), x)
  for i in range(0, len(x)):
    numerador = math.pow((x[i] - prom_x),2)
    cont = cont + numerador
  return (cont/(len(x) -1))

def b1():
  numerador = cov()
  denominador = s2x()
  return (numerador / denominador)

def b0():
  aux = b1()
  prom_y = promedio_datos(len(y), y)
  prom_x = promedio_datos(len(x), x)
  return (prom_y - (aux*prom_x))

b0()

import math as e

def logistica(b0,b1):
  numerador = e.exp((b0+b1))
  denominador = 1 + (e.exp(b0+b1))
  aux = numerador / denominador
  return aux


def factorial(num):
    resultado = 1
    for i in range(2,num+1):
        resultado *= i
    return resultado

  
def m_euler(x):
  aux = 0
  if x == 0:
    return 1
  for num in range(20000):
    aux +=(x**num)/factorial(num)
  return aux
                  
m_euler(2)